
Name:		dbeaver-ce
Version:	6.3.0
Release:	1%{?dist}
Summary:	Free multi-platform database tool.

License:	ASL 2.0	
URL:		https://dbeaver.io
Source0:	https://github.com/dbeaver/dbeaver/archive/%{version}.tar.gz#/dbeaver-%{version}.tar.gz
Source1:	dbeaver.desktop
#Patch0:		dbeaver-workspacepath.patch
#Patch1:		dbeaver-driverspath.patch
Requires:	java-1.8.0-openjdk
BuildRequires: maven
BuildRequires: dos2unix
BuildRequires: java-1.8.0-openjdk-devel
#ExcludeArch: ppc64le
#ExcludeArch: s390x
#%%{ix86} 
ExclusiveArch: x86_64

%description
Free multi-platform database tool for developers, SQL programmers, database administrators and analysts. Supports all popular databases: MySQL, PostgreSQL, MariaDB, SQLite, Oracle, DB2, SQL Server, Sybase, MS Access, Teradata, Firebird, Derby, etc.

%global debug_package %{nil} 

%ifarch %ix86
%global sourcedir x86
%else
%global sourcedir x86_64
%endif

%prep
#autosetup -n dbeaver-%{version} -p0
%setup -q -n dbeaver-%{version}
/usr/bin/dos2unix plugins/org.jkiss.dbeaver.model/src/org/jkiss/dbeaver/model/DBConstants.java
/usr/bin/dos2unix plugins/org.jkiss.dbeaver.core.application/src/org/jkiss/dbeaver/core/application/DBeaverApplication.java
#%%patch0 -p0
#%%patch1 -p0
cp %{SOURCE1} %{_builddir}/

%build

mvn package
mkdir -p usr/share
mv product/standalone/target/products/org.jkiss.dbeaver.core.product/linux/gtk/%{sourcedir}/dbeaver usr/share/

%check

%install
mv %{_builddir}/dbeaver-%{version}/usr %{buildroot}/
mkdir -p %{buildroot}%{_datarootdir}/applications
mv %{_builddir}/dbeaver.desktop %{buildroot}%{_datarootdir}/applications/

%files
%dir %{_datarootdir}/dbeaver
%{_datarootdir}/dbeaver/*
%{_datarootdir}/dbeaver/.eclipseproduct
%{_datarootdir}/applications/dbeaver.desktop


%changelog
* Wed Dec 18 2019 Steve Miller (copart) <code@rellims.com> - 6.3.0-1
- Bump to upstream

* Sat Oct 05 2019 Steve Miller (copart) <code@rellims.com> - 6.2.1-1
- Bump to upstream

* Mon Jul 22 2019 Steve Miller (copart) <code@rellims.com> - 6.1.3-2
- Updated workspace paths for dbeaver4, this will kick off the 
	migration wizard on first launch of 6.1.3

* Sun Jul 21 2019 Steve Miller (copart) <code@rellims.com> - 6.1.3-1
- Bump to upstream

* Tue Apr 23 2019 Steve Miller (copart) <code@rellims.com> - 6.0.3-1
- Bump to upstream

* Fri Apr 12 2019 Steve Miller (copart) <code@rellims.com> - 6.0.1-1
- Bump to upstream
- 32-bit version was obsoleted by upstream

* Fri Mar 15 2019 Steve Miller (copart) <code@rellims.com> - 6.0.0-1
- Initial package
